object TimePeriod "24x7" {
    import "legacy-timeperiod"

    display_name = "24x7"
    ranges = {
        "monday"    = "00:00-24:00"
        "tuesday"   = "00:00-24:00"
        "wednesday" = "00:00-24:00"
        "thursday"  = "00:00-24:00"
        "friday"    = "00:00-24:00"
        "saturday"  = "00:00-24:00"
        "sunday"    = "00:00-24:00"
    }
}

object TimePeriod "daytime" {
    import "legacy-timeperiod"

    # 5AM UTC  to 8PM UTC
    # 6AM MEZ  to 9PM MEZ
    # 7AM MESZ to 10PM MESZ
    display_name = "5AM to 8PM (UTC)"
    ranges = {
        "monday"    = "05:00-20:00"
        "tuesday"   = "05:00-20:00"
        "wednesday" = "05:00-20:00"
        "thursday"  = "05:00-20:00"
        "friday"    = "05:00-20:00"
        "saturday"  = "07:00-20:00"
        "sunday"    = "07:00-20:00"
    }
}

object TimePeriod "never" {
    import "legacy-timeperiod"

    display_name = "never"
    ranges = {
    }
}
